https://rancher.com/ logo
#français
Title
# français
a

agreeable-school-15335

09/19/2022, 9:47 AM
Bonjour à tous, J'ai un problème après la maj rancher 2.6.6 : impossible de faire un
kubectl
utilisant le kubeconfig sur un autre poste pour deux de mes clusters managés (ce sont d'anciens clusters EKS créés par rancher mais vus comme
Imported Amazonelasticcontainerservice
). Les deux clusters sont en version 1.21. Voici l'erreur que j'ai après n'importe quelle commande `kubectl`/`helm` :
Copy code
Error from server (InternalError): an error on the server ("unable to create impersonator account: ClusterUnavailable 503: ClusterUnavailable 503: cluster not found") has prevented the request from succeeding
Une autre chose bizarre que j'ai, pour ces deux clusters, est l'impossibilité de lancer l'exécution d'un shell sur un des pods ou de voir leur logs depuis le passage en 2.6.6. J'ai décidé du coup de passer à rancher 2.6.8 afin de voir si le problème persiste. Mais j'ai eu un autre souci : pour ces deux clusters, le déploiement
cluster-agent
reste en 2.6.6. Après avoir essayé de trouver pourquoi, je suis tombé sur la page des clusters-management et là, je vois que l'un de mes deux clusters est vu comme indisponibles. Par contre, chose toute aussi bizarre, c'est que je peux encore tout faire (hormis les soucis au dessus) depuis l'interface rancher pour ce même cluster. Après quelques recherches, je tombe sur cette commande qui a l'air de relancer le déploiement des
cluster-agent
sur le cluster choisi :
Copy code
kubectl patch <http://clusters.management.cattle.io|clusters.management.cattle.io> <REPLACE_WITH_CLUSTERID> -p '{"status":{"agentImage":"dummy"}}' --type merge
Aucun changement après ça. Et en regardant les logs des pods de
rancher
, j'obtiens l'erreur suivante :
Copy code
[ERROR] [secretmigrator] failed to migrate service account token secret for cluster c-wrh8l, will retry: Operation cannot be fulfilled on <http://clusters.management.cattle.io|clusters.management.cattle.io> "c-wrh8l": the object has been modified; please apply your changes to the latest version and try again
Est-ce que quelqu'un peut m'aider ?
6 Views